> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get supported networks per asset

> Returns a list of supported networks and network information for a specific asset.

<Tabs groupId="programming-language">
  <Tab value="Java" title="Java">
    ```java theme={null}
    AssetsService assetsService = IntxServiceFactory.createAssetsService(client);
    GetSupportedNetworksRequest request = new GetSupportedNetworksRequest.Builder()
        .asset("BTC")
        .build();
    GetSupportedNetworksResponse response = assetsService.getSupportedNetworks(request);
    ```

    For more information, please visit the [INTX Java SDK](https://github.com/coinbase-samples/intx-sdk-java).
  </Tab>

  <Tab value=".NET" title=".NET">
    ```cs theme={null}
    var assetsService = new AssetsService(client);
    var request = new GetSupportedNetworksRequest(
        Asset: "BTC",
    );
    var response = assetsService.GetSupportedNetworks(request);
    ```

    For more information, please visit the [INTX .NET SDK](https://github.com/coinbase-samples/intx-sdk-dotnet).
  </Tab>

  <Tab value="Go" title="Go">
    ```go theme={null}
    assetsSvc := assets.NewAssetsService(client)
    request := &assets.GetSupportedNetworksRequest{
        Asset: "BTC",
    }
    response, err := assetsSvc.GetSupportedNetworks(context.Background(), request)
    ```

    For more information, please visit the [INTX Go SDK](https://github.com/coinbase-samples/intx-sdk-go).
  </Tab>

  <Tab value="Python" title="Python">
    ```python theme={null}
    client = IntxClient()
    request = GetSupportedNetworksRequest(
        asset="BTC",
    )
    response = client.get_supported_networks(request)
    ```

    For more information, please visit the [INTX Python SDK](https://github.com/coinbase-samples/intx-sdk-py).
  </Tab>

  <Tab value="Typescript" title="TS/JS">
    ```js theme={null}
    const assetsService = new AssetsService(client);

    assetsService.getSupportedNetworks({
        asset: 'ETH',
    }).then(async (response) => {
        console.log('Supported Networks: ', response);
    })
    ```

    For more information, please visit the [INTX TS SDK](https://github.com/coinbase-samples/intx-sdk-ts).
  </Tab>

  <Tab value="CLI" title="CLI">
    ```
    intxctl get-supported-networks --help
    ```

    For more information, please visit the [INTX CLI](https://github.com/coinbase-samples/intx-cli).
  </Tab>
</Tabs>


## OpenAPI

````yaml GET /api/v1/assets/{asset}/networks
openapi: 3.0.3
info:
  title: REST API
  description: >
    # Welcome to Coinbase INTX API

    ## Introduction

    The INTX APIs allow institutions to trade and manage orders on the
    International Exchange. The following API pages detail various REST API
    endpoints we offer.

    ## Getting Started

    To get started, please visit one of the following pages:

    - [Quickstart](/international-exchange/introduction/quickstart)

    -
    [Overview](/api-reference/international-exchange-api/rest-api/introduction)

    -
    [Authentication](/api-reference/international-exchange-api/rest-api/authentication)

    - [Rate Limits](/international-exchange/introduction/rate-limits-overview)

    ## FIX API

    - [FIX API reference](/international-exchange/fix-api/fix-api-overview)

    ## WebSocket API

    - [WebSocket API
    reference](/international-exchange/websocket-feed/websocket-overview)
  version: '1.0'
servers:
  - url: https://api.international.coinbase.com
security: []
paths:
  /api/v1/assets/{asset}/networks:
    get:
      tags:
        - Assets
      summary: Get supported networks per asset
      description: >-
        Returns a list of supported networks and network information for a
        specific asset.
      operationId: getAssetNetworks
      parameters:
        - name: asset
          in: path
          description: >-
            Identifies the asset by name (e.g., `BTC`), UUID (e.g.,
            `291efb0f-2396-4d41-ad03-db3b2311cb2c`), or asset ID (e.g.,
            `1482439423963469`)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Asset found
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AssetNetwork_v1'
        '400':
          description: Invalid attribute
components:
  schemas:
    AssetNetwork_v1:
      type: object
      properties:
        asset_id:
          description: A unique identifier to represent the asset
          type: string
          example: 3379757734632303
        asset_uuid:
          description: A UUID to represent the asset
          type: string
          format: uuid
          example: 592a8039-db3e-45ed-b752-ffd1983eead2
        asset_name:
          description: The name of the asset
          type: string
          example: ETH
        network_arn_id:
          description: >-
            A unique identifier representing the combination of the network and
            asset
          type: string
          example: >-
            networks/ethereum-mainnet/assets/313ef8a9-ae5a-5f2f-8a56-572c0e2a4d5a
        min_withdrawal_amt:
          description: >-
            The minimum amount of the asset that can be withdrawn from the
            network
          type: string
          example: 0.001
        max_withdrawal_amt:
          description: >-
            The maximum amount of the asset that can be withdrawn from the
            network
          type: string
          example: 355.575
        network_confirms:
          description: >-
            The number of confirmations required on the network for a
            transaction
          type: integer
          example: 5
        processing_time:
          description: Number of seconds estimated to process a transaction on the network
          type: integer
          example: 3600
        is_default:
          description: Indicates whether this is the default network for the asset
          type: boolean
        network_name:
          description: The common name of the network
          type: string
          example: ethereum
        display_name:
          description: The human readable name of the network
          type: string
          example: Ethereum

````